Package org.zkoss.xel.zel

## Class XelELContext

- java.lang.Object
- - org.zkoss.zel.ELContext
  - - org.zkoss.xel.zel.XelELContext

- Direct Known Subclasses:
    `BindELContext`

      public class XelELContext
      extends ELContext

  An ZEL context that is based on XEL context.
  Since:
    6.0.0
  Author:
    henrichen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XelELContext​(XelContext xelc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ELResolver` | `getELResolver()` |
    `FunctionMapper` | `getFunctionMapper()` |
    `VariableMapper` | `getVariableMapper()` |
    `protected XelContext` | `getXelContext()` |
    `protected ELResolver` | `newELResolver​(XelContext xelc)` |

    - ### Methods inherited from class org.zkoss.zel.ELContext

      `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getContext, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, putContext, setLocale, setPropertyResolved, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XelELContext

          public XelELContext​(XelContext xelc)

  - ### Method Detail

    - #### newELResolver

          protected ELResolver newELResolver​(XelContext xelc)

    - #### getELResolver

          public ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `ELContext`

    - #### getFunctionMapper

          public FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `ELContext`

    - #### getVariableMapper

          public VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `ELContext`

    - #### getXelContext

          protected XelContext getXelContext()